Package edu.wisc.game.sql

## Class Piece.Color

- java.lang.Object
- - edu.wisc.game.sql.Piece.PseudoEnum
  - - edu.wisc.game.sql.Piece.Color

- Enclosing class:
    Piece

      public static class Piece.Color
      extends Piece.PseudoEnum

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Piece.Color` | `BLACK` |
    `static Piece.Color` | `BLUE` |
    `static Piece.Color[]` | `legacyColors` | The four original colors, inherited from Game Engine 1.0, and used for compatibility with old trial list files.
    `static Piece.Color` | `RED` |
    `static Piece.Color` | `YELLOW` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `static Piece.Color` | `findColor​(String s)` |
    `static Piece.Color[]` | `findColors​(String[] v)` |
    `String` | `symbol()` |

    - ### Methods inherited from class edu.wisc.game.sql.Piece.PseudoEnum

      `hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RED

          public static final Piece.Color RED

    - #### BLACK

          public static final Piece.Color BLACK

    - #### BLUE

          public static final Piece.Color BLUE

    - #### YELLOW

          public static final Piece.Color YELLOW

    - #### legacyColors

          public static final Piece.Color[] legacyColors

      The four original colors, inherited from Game Engine 1.0, and used for compatibility with old trial list files.

  - ### Method Detail

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### findColor

          public static Piece.Color findColor​(String s)

      Returns:
        The Color object for a given name

    - #### findColors

          public static Piece.Color[] findColors​(String[] v)

    - #### symbol

          public String symbol()